Skip to main content
POST
/
v1
/
businesses
/
{businessId}
/
customers
/
{customerId}
/
merge
Merge customers
curl --request POST \
  --url https://sandbox.layerfi.com/v1/businesses/{businessId}/customers/{customerId}/merge \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "customer_to_archive_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "data": {
    "type": "CustomerData",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "external_id": "31415926535",
    "individual_name": "<string>",
    "company_name": "<string>",
    "email": "<string>",
    "mobile_phone": "<string>",
    "office_phone": "<string>",
    "address_string": "<string>",
    "memo": "<string>",
    "status": "ACTIVE",
    "transaction_tags": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "key": "ExampleTagKey",
        "value": "ExampleTagValue",
        "dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "dimension_display_name": "<string>",
        "value_display_name": "<string>",
        "archived_at": "2023-11-07T05:31:56Z"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

businessId
string<uuid>
required

The UUID of the business the customers belong to.

customerId
string<uuid>
required

The UUID of the customer to merge into (target customer).

Body

application/json
customer_to_archive_id
string<uuid>
required

UUID of the customer that will be archived after merging.

Response

200 - application/json

Customers merged successfully.

data
object
required